%define module	Email-MIME-Modifier
%define name	perl-%{module}
%define version 1.44.2
%define up_version 1.442
%define release %mkrel 3

%define _provides_exceptions perl(Email::MIME)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Modify Email::MIME Objects Easily
License:	GPL or Artistic
Group:		Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Email/%{module}-%{up_version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-Email-Simple
BuildRequires:	perl-Email-MIME
BuildRequires:	perl-Email-MessageID
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Provides a number of useful methods for manipulating MIME messages.

These method are declared in the Email::MIME namespace, and are used with
Email::MIME objects.

%prep
%setup -q -n %{module}-%{up_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Email
%{_mandir}/*/*




%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.44.2-3mdv2009.0
+ Revision: 256784
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.44.2-1mdv2008.1
+ Revision: 135833
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.44.2-1mdv2008.0
+ Revision: 55630
- update to new version 1.44.2


* Mon Dec 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.44.1-1mdv2007.0
+ Revision: 94829
- new version
- Import perl-Email-MIME-Modifier

* Fri Sep 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.44.0-1mdv2007.0
- New version 1.440

* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.43-1mdv2007.0
- new version

* Fri Mar 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.42-3mdk
- don't provides perl(Email::MIME)

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.42-2mdk
- fix buildrequires

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.42-1mdk
- first mdk release

